## openni-sensor-pointclouds 5.1.0.41.5

=== Platform/Linux/Build/XnDeviceFile/Makefile ===
SRC_FILES = ../../../../Source/XnDeviceFile/*.cpp
	    
LIB_NAME = XnDeviceFile
USED_LIBS = XnCore XnFormats XnDDK OpenNI
DEFINES = XN_DEVICE_EXPORTS

include ../EngineLibMakefile

## openni-sensor-pointclouds 5.1.0.41.1

=== debian/changelog ===
openni-sensor-pointclouds (5.1.0.41.1-1) unstable; urgency=low

  * Initial test version. (Closes: #730292)

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 25 Nov 2013 10:54:07 -0500

=== debian/control ===
Source: openni-sensor-pointclouds
Priority: optional
Maintainer: Jochen Sprickerhof <jochen@sprickerhof.de>
Uploaders: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>,
           Hans-Christoph Steiner <hans@eds.org>
Build-Depends: debhelper (>= 8.0.0),
               python,
               libjpeg-dev,
               libopenni-dev (>= 1.1.0.41)
Standards-Version: 3.9.4
Section: libs
Homepage: http://www.openni.org
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-multimedia/openni-sensor-pointclouds.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/openni-sensor-pointclouds.git

Package: libopenni-sensor-pointclouds-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libopenni-sensor-pointclouds0 (= ${binary:Version})
Provides: libopenni-sensor-dev
Conflicts: libopenni-sensor-dev
Replaces: libopenni-sensor-dev
Description: headers for Kinect sensor modules for the OpenNI framework
 OpenNI is a framework for getting data to support 'Natural Interaction',
 i.e. skeleton tracking, gesture tracking, and similar ways of getting data
 from humans. This package provides modules for OpenNI that get the data from
 the Kinect camera for processing with the OpenNI Middleware, like PrimeSense
 NITE.
 .
 This is a fork of the original OpenNI sensor driver providing support for
 Kinect as well as the original PrimeSense devices.
 .
 This package provides the headers for building against these sensor modules.

Package: libopenni-sensor-pointclouds0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         openni-utils
Provides: libopenni-sensor
Conflicts: libopenni-sensor
Replaces: libopenni-sensor
Description: Microsoft Kinect sensor modules for the OpenNI framework
 OpenNI is a framework for getting data to support 'Natural Interaction',
 i.e. skeleton tracking, gesture tracking, and similar ways of getting data
 from humans. This package provides modules for OpenNI that get the data from
 the Kinect camera for processing with the OpenNI Middleware, like PrimeSense
 NITE.
 .
 This is a fork of the original OpenNI sensor driver providing support for
 Kinect as well as the original PrimeSense devices.
 .
 This package includes all of the sensor modules needed to work with the
 Kinect camera in OpenNI.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/<project>-$1.tar.gz/ \
  https://github.com/PointCloudLibrary/Sensor/tags .*/v?(\d[\d\.]+)\.tar\.gz

## openni-sensor-pointclouds 5.1.0.41.3

=== debian/changelog ===
openni-sensor-pointclouds (5.1.0.41.3-1) unstable; urgency=low

  [ Jochen Sprickerhof ]
  * Imported Upstream version 5.1.0.41.3

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 05 May 2014 09:44:53 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python,
                libjpeg-dev,
                libopenni-dev (>= 1.1.0.41)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://www.openni.org
 Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-multimedia/openni-sensor-pointclouds.git

## openni-sensor-pointclouds 5.1.0.41.5

=== debian/changelog ===
openni-sensor-pointclouds (5.1.0.41.5-1) unstable; urgency=medium

  * Imported Upstream version 5.1.0.41.5

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 08 Jun 2015 15:07:13 +0200

openni-sensor-pointclouds (5.1.0.41.4-1) unstable; urgency=medium

  * Update watch file (limit to 5.1.0.* versions for now)
  * Imported Upstream version 5.1.0.41.4
  * Update control file

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 06 Jun 2015 10:31:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: openni-sensor-pointclouds
 Priority: optional
-Maintainer: Jochen Sprickerhof <jochen@sprickerhof.de>
-Uploaders: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>,
-           Hans-Christoph Steiner <hans@eds.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders: Hans-Christoph Steiner <hans@eds.org>,
+           Jochen Sprickerhof <debian@jochen.sprickerhof.de>
 Build-Depends: debhelper (>= 8.0.0),
                python,
                libjpeg-dev,
                libopenni-dev (>= 1.1.0.41)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://www.openni.org
-Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-multimedia/openni-sensor-pointclouds.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/openni-sensor-pointclouds.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/openni-sensor-pointclouds.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/openni-sensor-pointclouds.git/
 
 Package: libopenni-sensor-pointclouds-dev
 Section: libdevel

## openni-sensor-pointclouds 5.1.0.41.6

=== debian/changelog ===
openni-sensor-pointclouds (5.1.0.41.6-1) unstable; urgency=medium

  * Imported Upstream version 5.1.0.41.6
  * Add 1d27:0609 to udev rules

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Thu, 04 Aug 2016 16:21:16 +0200

## openni-sensor-pointclouds 5.1.0.41.7

=== debian/changelog ===
openni-sensor-pointclouds (5.1.0.41.7-1) unstable; urgency=medium

  * New upstream version 5.1.0.41.7
  * Bump compat level
  * Update standards version (no changes needed)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Dec 2016 18:14:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Hans-Christoph Steiner <hans@eds.org>,
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>
-Build-Depends: debhelper (>= 8.0.0),
+           Jochen Sprickerhof <jspricke@debian.org>
+Build-Depends: debhelper (>= 10),
                python,
                libjpeg-dev,
                libopenni-dev (>= 1.1.0.41)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://www.openni.org
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/openni-sensor-pointclouds.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/openni-sensor-pointclouds.git/
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-multimedia/openni-sensor-pointclouds.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/openni-sensor-pointclouds.git
 
 Package: libopenni-sensor-pointclouds-dev
 Section: libdevel

## openni-sensor-pointclouds 5.1.0.41.8

=== debian/changelog ===
openni-sensor-pointclouds (5.1.0.41.8-1) unstable; urgency=medium

  [ Hans-Christoph Steiner ]
  * remove myself from Uploaders

  [ Jochen Sprickerhof ]
  * New upstream version 5.1.0.41.8

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 10 Feb 2017 12:50:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: openni-sensor-pointclouds
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Hans-Christoph Steiner <hans@eds.org>,
-           Jochen Sprickerhof <jspricke@debian.org>
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends: debhelper (>= 10),
                python,
                libjpeg-dev,

## openni-sensor-pointclouds 5.1.0.41.9

=== Platform/Linux/Build/Utils/XnSensorServer/Makefile ===
SRC_FILES = ../../../../../Source/Utils/XnSensorServer/*.cpp

EXE_NAME = XnSensorServer
USED_LIBS = OpenNI XnCore XnFormats XnDDK XnDeviceSensorV2

include ../EngineUtilMakefile

=== debian/changelog ===
openni-sensor-pointclouds (5.1.0.41.9-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Fix field name typo in debian/copyright (X-Comment => Comment).
  * Update standards version to 4.5.0, no changes needed.

  [ Jochen Sprickerhof ]
  * Drop Homepage (redirects to apple.com)
  * Run RedistMaker with set -e (Closes: #995621)
  * bump policy and debhelper versions
  * drop gitlab-ci
  * Bump d/watch to 4

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 03 Oct 2021 19:26:30 +0200

openni-sensor-pointclouds (5.1.0.41.9-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Jochen Sprickerhof ]
  * Drop python build dependency (not needed) (Closes: #937207)
  * Bump policy version (no changes)
  * Bump debhelper version
  * add Salsa CI
  * add MA hint

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 13 Sep 2019 23:36:04 +0200

openni-sensor-pointclouds (5.1.0.41.9-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * remove versioned dependency (version is even in oldstable)
  * Update Vcs URLs to salsa.d.o

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Jochen Sprickerhof ]
  * Add R³

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Jochen Sprickerhof ]
  * Fix pkg-config install location
  * Bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 03 Nov 2018 10:01:56 +0100

openni-sensor-pointclouds (5.1.0.41.9-1) unstable; urgency=medium

  * New upstream version 5.1.0.41.9
    - Add support for ppc64el/ppc64 (Closes: #875795)
  * new standards version (no changes needed)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Sep 2017 14:21:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: openni-sensor-pointclouds
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper (>= 10),
-               python,
+Build-Depends: debhelper-compat (= 13),
                libjpeg-dev,
-               libopenni-dev (>= 1.1.0.41)
-Standards-Version: 3.9.8
+               libopenni-dev
+Standards-Version: 4.6.0
 Section: libs
-Homepage: http://www.openni.org
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-multimedia/openni-sensor-pointclouds.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/openni-sensor-pointclouds.git
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/multimedia-team/openni-sensor-pointclouds.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/openni-sensor-pointclouds
 
 Package: libopenni-sensor-pointclouds-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libopenni-sensor-pointclouds0 (= ${binary:Version})

## openni-sensor-pointclouds 5.1.0.41.10

=== Platform/Linux/Build/XnFormats/Makefile ===
SRC_FILES = \
			../../../../Source/XnFormats/*.cpp

LIB_NAME = XnFormats
USED_LIBS = XnCore OpenNI
DEFINES = XN_FORMATS_EXPORTS

ifeq ($(shell ld -ljpeg -o /dev/null 1>&2 2> /dev/null; echo $$?), 0)
  USED_LIBS += jpeg
else
  INC_DIRS  += ../../../../Source/External/LibJPEG
  SRC_FILES += ../../../../Source/External/LibJPEG/*.c
endif

include ../EngineLibMakefile

=== debian/changelog ===
openni-sensor-pointclouds (5.1.0.41.10-1) unstable; urgency=medium

  * New upstream version 5.1.0.41.10
    - Add support for riscv64 (Closes: #1014665)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 12 Jul 2022 11:50:14 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                libjpeg-dev,
                libopenni-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: libs
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/openni-sensor-pointclouds.git

## openni-sensor-pointclouds 5.1.0.41.11

=== Platform/Linux/Build/XnCore/Makefile ===
SRC_FILES = \
	../../../../Source/XnCore/*.cpp
		
LIB_NAME = XnCore
USED_LIBS = OpenNI
DEFINES = XN_CORE_EXPORTS

include ../EngineLibMakefile

=== Platform/Linux/Build/XnDDK/Makefile ===
SRC_FILES = ../../../../Source/XnDDK/*.cpp
	    
LIB_NAME = XnDDK
USED_LIBS = XnCore XnFormats OpenNI
DEFINES = XN_DDK_EXPORTS

include ../EngineLibMakefile

=== debian/changelog ===
openni-sensor-pointclouds (5.1.0.41.11-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:27:02 +0000

openni-sensor-pointclouds (5.1.0.41.11-1build1) noble; urgency=medium

  * No-change rebuild against libopenni0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:02:27 +0000

openni-sensor-pointclouds (5.1.0.41.11-1) unstable; urgency=medium

  * New upstream version 5.1.0.41.11
    - Add support for LoongArch (Closes: #1057632)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 11 Dec 2023 08:38:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: openni-sensor-pointclouds
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libjpeg-dev,
                libopenni-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: libs
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/openni-sensor-pointclouds.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=makefile

override_dh_auto_build:
	cd Platform/Linux/CreateRedist && ./RedistMaker

override_dh_clean:
	dh_clean -X Platform/Win32/CreateRedist/EE_NI/Includes/EENIVariables.wxi.bak
	rm -rf -- Platform/Linux/Bin/
	rm -rf -- Platform/Linux/Build/Utils/XnSensorServer/*-Release/
	rm -rf -- Platform/Linux/Build/XnCore/*-Release/
	rm -rf -- Platform/Linux/Build/XnDDK/*-Release/
	rm -rf -- Platform/Linux/Build/XnDeviceFile/*-Release/
	rm -rf -- Platform/Linux/Build/XnDeviceSensorV2/*-Release/
	rm -rf -- Platform/Linux/Build/XnFormats/*-Release/
	rm -rf -- Platform/Linux/CreateRedist/Final/
	rm -rf -- Platform/Linux/Redist/
